{% extends "Base/base.html" %}
{% block title %} Lista: Puestos {% endblock title %}

{% block content%}
<div class="container mt-5 blur shadow rounded-4 p-5 bg-dark bg-opacity-10">
    <div class="table-responsive">
        <a href="{% url 'Core:CreatePuesto' %}" class="btn btn-outline-success form-control btn-dark ">REGISTRAR UN NUEVO PUESTO</a>

        <br>
        <br>

        <table class="table table-striped table-hover table-condensed table-dark text-center">

            <thead class="thead-dark">
                <tr>
                    <th>Código</th>
                    <th>Nombre</th>
                    <th></th>
                    <th>Acciones</th>
                    <th></th>
                </tr>
            </thead>

            <tbody>
                {% for PT in PTconsulta %}
                    <tr>
                    <td>{{ PT.codigo }}</td>
                        <td>{{ PT.nombre }}</td>

                        <td><a href="{% url 'Core:DetailPuesto' PT.codigo %}" class="btn btn-info btn-sm">Detalles</a></td>
                        <td><a href="{% url 'Core:UpdatePuesto' PT.codigo %}" class="btn btn-warning btn-sm">Actualizar</a></td>
                        <td><a href="{% url 'Core:DeletePuesto' PT.codigo %}" class="btn btn-danger btn-sm">Eliminar</a></td>
                    </tr>
                {% endfor %}
            </tbody>

        </table>
    </div>
</div>
{% endblock content %}